import 'dart:io';

import 'package:flutter/foundation.dart';

final class BuildConfig {
  BuildConfig._();

  static bool get isDebug => kDebugMode;

  static const String qiyuKEY = "09ea6e0a6d006e25462906fbf6758c99";

  static const String _quickLoginIosBusinessId =
      "adc0a4df0dae40e787c6bb76ac635aab";
  static const String _quickLoginAndroidBusinessId =
      "83c29845ebc04106b186a7396396d97c";

  static String get quickLoginBusinessId {
    if (Platform.isAndroid) {
      return _quickLoginAndroidBusinessId;
    } else if (Platform.isIOS) {
      return _quickLoginIosBusinessId;
    } else {
      return '';
    }
  }
}

final class BuglyConfig {
  BuglyConfig._();

  static const String buglyAndroidAppId = "9d862c5217";
  static const String buglyIosAppId = "38cc655743";
}

final class WechatConfig {
  WechatConfig._();

  static const String wechatAppId = 'wxd423dc54a6fd1640';
}

final class UmengConfig {
  UmengConfig._();

  //友盟统计配置
  static const umengAndroidAppKey = "67e11d9b48ac1b4f87f56ea2";
  static const umengIosAppKey = "67e11e7565c707471a29602e";

  static String get umengAppKey {
    if (Platform.isAndroid) {
      return umengAndroidAppKey;
    } else if (Platform.isIOS) {
      return umengIosAppKey;
    } else {
      return '';
    }
  }
}

final class GravityConfig {
  GravityConfig._();

  //引力引擎配置
  static const gravityAndroidAppId = "";
  static const gravityAndroidAccessToken = "9z0eEcjzcXggkJawmAuqIpypvYsotq7i";

  static const gravityIosAppId = "25718036";
  static const gravityIosAccessToken = "w9fuUykhmpYsqNrF6Zue8IvCXxmn4vyj";

  static String get gravityAppId {
    if (Platform.isAndroid) {
      return gravityAndroidAppId;
    } else if (Platform.isIOS) {
      return gravityIosAppId;
    } else {
      return '';
    }
  }

  static String get gravityAccessToken {
    if (Platform.isAndroid) {
      return gravityAndroidAccessToken;
    } else if (Platform.isIOS) {
      return gravityIosAccessToken;
    } else {
      return '';
    }
  }
}
